Skip to main content
PATCH
/
datasets
/
{dataset_id}
Update Dataset Metadata
curl --request PATCH \
  --url https://api.woodwide.ai/datasets/{dataset_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>"
}
'
{
  "dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "current_version": {
    "version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "version": 123,
    "schema_json": {},
    "byte_size": 123,
    "ingest_job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created_at": "2023-11-07T05:31:56Z",
    "ready_at": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.woodwide.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

dataset_id
string<uuid>
required

Body

application/json

Request to update dataset metadata.

name
string
description
string | null

Response

Successful Response

Dataset response model.

dataset_id
string<uuid>
required
name
string
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
description
string | null
current_version
CurrentVersion · object

Current version detail (all DatasetVersion fields except dataset_id).